Bug 1987199 - NO-OP Helm Chart Rollback
Summary: NO-OP Helm Chart Rollback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: divgupta
QA Contact: Debsmita Santra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 08:20 UTC by divgupta
Modified: 2021-10-18 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9625 0 None open Bug 1987199: Fix to hide rollback action from action menu when there is only 1 helm-release revision 2021-07-29 08:21:50 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:26 UTC

Description divgupta 2021-07-29 08:20:52 UTC
Description of problem:
When you first install a chart, it has no revisions but the one it's on. Why can you roll it back?

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1.Add a Helm Chart
2.Go to Dev Perspective => Helm
3.Kebab item on the table
4.Rollback


Actual results:
Allows a rollback to the same version

Expected results:
No Kebab or Disabled Kebab for Rollback if only 1 revision

UX Recommendation: Remove Rollback option if possible otherwise Disable Rollback option in the dropdown when there is no revisions.

Comment 2 Debsmita Santra 2021-08-05 11:01:15 UTC
verified on 4.9.0-0.nightly-2021-08-04-131508

Comment 5 errata-xmlrpc 2021-10-18 17:43:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.